Bug 1030045 - oo-install should not suggest rebooting the system
oo-install should not suggest rebooting the system
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Meyer
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 14:25 EST by Brenton Leanhardt
Modified: 2014-02-04 09:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-04 09:40:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-11-13 14:25:52 EST
Description of problem:

Whenever oo-install completes a run of openshift.sh on a system the text "please reboot to start all services properly." is displayed.  This can be confusing if the admin is not aware that the oo-install process is still in process.  We should consider rewording the message or finding a way to may it not display if openshift.sh is being run from within oo-install.
Comment 2 Luke Meyer 2013-11-15 16:39:43 EST
Changes are coming very shortly.
* Output from the script will be filtered to just the "OpenShift:" status lines when shown to the user
* logs will be kept on the host and can be tailed.
* oo-install will tell you whether the installation was successful and retry smartly.

I'll update the bug once these are packaged out at oo-install.rhcloud.com.
Comment 3 Luke Meyer 2013-11-19 08:49:46 EST
This should be much improved now.
Comment 4 Johnny Liu 2013-11-20 02:27:42 EST
Verified this bug with oo-install-20131119-1827, and PASS.

When installation is failed.
$ ./oo-install -a -e
...
OpenShift: Command failed: yum install yum-plugin-priorities yum-utils
OpenShift: Please ensure relevant repos/subscriptions are configured.
OpenShift: Aborting Installation.

---------------------------------------
Install step 'prepare' FAILED for:
  * 10.4.59.184 (bb)
Please examine /tmp/openshift-deploy-prepare.log on 10.4.59.184 to troubleshoot.
  * 10.4.59.142 (db)
Please examine /tmp/openshift-deploy-prepare.log on 10.4.59.142 to troubleshoot.
  * 10.4.59.138 (msg)
Please examine /tmp/openshift-deploy-prepare.log on 10.4.59.138 to troubleshoot.
  * 10.4.59.188 (node)
Please examine /tmp/openshift-deploy-prepare.log on 10.4.59.188 to troubleshoot.
It is safe to run this deployment again after problem resolution.
--------------------------------------------

Installation completed.
oo-install exited; keeping temporary assets in /tmp/

When installation is finished successfully.
$ ./oo-install -a -e
...
OpenShift: Begin preflight validation.
OpenShift: Completed preflight validation.
...
...
OpenShift: Begin configuring host.
OpenShift: Completed configuring host.
OpenShift: Begin configuring OpenShift.
OpenShift: Completed configuring OpenShift.
Step 'configure' succeeded for host 10.4.59.188
All installer steps are complete.
Please reboot newly-installed systems to complete the deployment.

Installation completed.
oo-install exited; keeping temporary assets in /tmp/



The output is friendly and clear.

Note You need to log in before you can comment on or make changes to this bug.